Class | Sequel::SQL::JoinOnClause
In: | lib/sequel/sql.rb lib/sequel/extensions/eval_inspect.rb
Parent: | JoinClause

Represents an SQL JOIN clause with ON conditions.

### Methods

new

### Attributes

on | [R] | The conditions for the join

### Public Class methods

new(on, *args)

Create an object with the ON conditions and call super with the remaining args.

[Source]

          # File lib/sequel/sql.rb, line 1172
    1172:       def initialize(on, *args)
    1173:         @on = on
    1174:         super(*args)
    1175:       end

[Validate]